/*
 * SMS - Module
 */
jQuery( function ( $ ) {
    var SMSModule = {
        init : function () {
            this.show_or_hide_for_api_option() ;
            this.show_or_hide_for_earning_msg() ;
            this.show_or_hide_for_redeeming_msg() ;
            $( document ).on( 'change' , '#rs_sms_sending_api_option' , this.api_option ) ;
            $( document ).on( 'change' , '#rs_send_sms_earning_points' , this.earning_msg ) ;
            $( document ).on( 'change' , '#rs_send_sms_redeeming_points' , this.redeeming_msg ) ;
        } ,
        api_option : function () {
            SMSModule.show_or_hide_for_api_option() ;
        } ,
        show_or_hide_for_api_option : function () {
            if ( ( jQuery( '#rs_sms_sending_api_option' ).val() ) === '1' ) {
                jQuery( '#rs_nexmo_key' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_nexmo_secret' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_twilio_secret_account_id' ).closest( 'tr' ).show() ;
                jQuery( '#rs_twilio_auth_token_id' ).closest( 'tr' ).show() ;
                jQuery( '#rs_twilio_from_number' ).closest( 'tr' ).show() ;
            } else if ( ( jQuery( '#rs_sms_sending_api_option' ).val() ) === '2' ) {
                jQuery( '#rs_nexmo_key' ).closest( 'tr' ).show() ;
                jQuery( '#rs_nexmo_secret' ).closest( 'tr' ).show() ;
                jQuery( '#rs_twilio_secret_account_id' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_twilio_auth_token_id' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_twilio_from_number' ).closest( 'tr' ).hide() ;
            } else {
                jQuery( '#rs_nexmo_key' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_nexmo_secret' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_twilio_secret_account_id' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_twilio_auth_token_id' ).closest( 'tr' ).hide() ;
                jQuery( '#rs_twilio_from_number' ).closest( 'tr' ).hide() ;
            }
        } ,
        earning_msg : function () {
            SMSModule.show_or_hide_for_earning_msg() ;
        } ,
        show_or_hide_for_earning_msg : function () {
            if ( jQuery( '#rs_send_sms_earning_points' ).is( ':checked' ) == true ) {
                jQuery( '#rs_points_sms_content_for_earning' ).closest( 'tr' ).show() ;
            } else {
                jQuery( '#rs_points_sms_content_for_earning' ).closest( 'tr' ).hide() ;
            }
        } ,
        redeeming_msg : function () {
            SMSModule.show_or_hide_for_redeeming_msg() ;
        } ,
        show_or_hide_for_redeeming_msg : function () {
            if ( jQuery( '#rs_send_sms_redeeming_points' ).is( ':checked' ) == true ) {
                jQuery( '#rs_points_sms_content_for_redeeming' ).closest( 'tr' ).show() ;
            } else {
                jQuery( '#rs_points_sms_content_for_redeeming' ).closest( 'tr' ).hide() ;
            }
        } ,
    } ;
    SMSModule.init() ;
} ) ;